freemarker.template.utility

## Class UndeclaredThrowableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - freemarker.template.utility.UndeclaredThrowableException

All Implemented Interfaces:
  Serializable

    public class UndeclaredThrowableException
    extends RuntimeException

The equivalent of JDK 1.3 UndeclaredThrowableException.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UndeclaredThrowableException(String message, Throwable t)`
`UndeclaredThrowableException(Throwable t)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getUndeclaredThrowable()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UndeclaredThrowableException

    public UndeclaredThrowableException(Throwable t)

#### UndeclaredThrowableException

    public UndeclaredThrowableException(String message,
                                        Throwable t)

Since:
  2.3.22

### Method Detail

#### getUndeclaredThrowable

    public Throwable getUndeclaredThrowable()